package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class LogModificheDisposizioni.
 * @see sicura.entities.LogModificheDisposizioni
 * @author Hibernate Tools
 */
@Stateless
public class LogModificheDisposizioniHome {

	private static final Log log = LogFactory.getLog(LogModificheDisposizioniHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(LogModificheDisposizioni transientInstance) {
		log.debug("persisting LogModificheDisposizioni instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(LogModificheDisposizioni persistentInstance) {
		log.debug("removing LogModificheDisposizioni instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public LogModificheDisposizioni merge(LogModificheDisposizioni detachedInstance) {
		log.debug("merging LogModificheDisposizioni instance");
		try {
			LogModificheDisposizioni result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public LogModificheDisposizioni findById(Integer id) {
		log.debug("getting LogModificheDisposizioni instance with id: " + id);
		try {
			LogModificheDisposizioni instance = entityManager.find(LogModificheDisposizioni.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
